Patch personal access token
PATCH/personal-access-tokens/:id
This performs a targeted update to the field(s) of a Personal Access Token.
Changing scopes for a Personal Access Token does not impact existing bearer tokens. You will need to create a new bearer token to have the new scopes. Please note that it can take up to 20 minutes for scope changes to be seen on new bearer tokens.
expirationDate and userAwareTokenNeverExpires Relationship:
Important: When expirationDate is null or empty (replaced to null or omitted from the patch request), the token will never expire.
Required Validation: If expirationDate is being replaced to null or is empty, userAwareTokenNeverExpires must be set to true in the patch request. This is a required validation rule.
When patching expirationDate and userAwareTokenNeverExpires, the valid values for expirationDate depend on the value provided for userAwareTokenNeverExpires:
- When
userAwareTokenNeverExpiresis being set totrue(or required to betrue):expirationDatecan be replaced tonullor omitted from the patch request. WhenexpirationDateisnullor empty, the token will never expire. This sets the PAT to never expire and serves as an explicit acknowledgment that the user is aware of the security implications of creating a non-expiring token. * WhenuserAwareTokenNeverExpiresisfalseor omitted:expirationDatemust be provided and must be a valid date-time string representing a future date (there is no upper limit).expirationDatecannot benullin this case. In this scenario,userAwareTokenNeverExpirescan be omitted. Validation Rules: * IfexpirationDateis being replaced tonull:userAwareTokenNeverExpiresmust also be present in the patch request with a value oftrue(required). The token will never expire. * IfexpirationDateis not being replaced tonull(i.e., set to a future date):userAwareTokenNeverExpirescan be omitted. Security Considerations: TheuserAwareTokenNeverExpiresfield is designed to ensure that users explicitly acknowledge the security implications of creating tokens that never expire. Setting this field totrueindicates that the user understands the increased security risks and has made an informed decision to proceed. Note: TheuserAwareTokenNeverExpiresfield indicates that the user acknowledges they are creating a token that will never expire. It does not affect token behavior beyond indicating this acknowledgment.
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 429
- 500
Indicates the PATCH operation succeeded, and returns the PAT's new representation.
Client Error - Returned if the request body is invalid.
Unauthorized - Returned if there is no authorization header, or if the JWT token is expired.
Forbidden - Returned if the user you are running as, doesn't have access to this end-point.
Not Found - returned if the request URL refers to a resource or object that does not exist
Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again.
Internal Server Error - Returned if there is an unexpected error.